## org.eclipse.emf.cdo.eresource
Interface EresourcePackage.Literals

Enclosing interface:
  EresourcePackage

    public static interface EresourcePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `CDO_RESOURCE` The meta object literal for the '`CDO Resource` ' class.
`static org.eclipse.emf.ecore.EReference` `CDO_RESOURCE__CONTENTS` The meta object literal for the 'Contents' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `CDO_RESOURCE__ERRORS` The meta object literal for the 'Errors' attribute list feature.
`static org.eclipse.emf.ecore.EAttribute` `CDO_RESOURCE__LOADED` The meta object literal for the 'Loaded' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `CDO_RESOURCE__MODIFIED` The meta object literal for the 'Modified' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `CDO_RESOURCE__RESOURCE_SET` The meta object literal for the 'Resource Set' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `CDO_RESOURCE__TIME_STAMP` The meta object literal for the 'Time Stamp' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `CDO_RESOURCE__TRACKING_MODIFICATION` The meta object literal for the 'Tracking Modification' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `CDO_RESOURCE__URI` The meta object literal for the 'URI' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `CDO_RESOURCE__WARNINGS` The meta object literal for the 'Warnings' attribute list feature.
`static org.eclipse.emf.ecore.EClass` `CDO_RESOURCE_FOLDER` The meta object literal for the '`CDO Resource Folder`' class.
`static org.eclipse.emf.ecore.EReference` `CDO_RESOURCE_FOLDER__NODES` The meta object literal for the 'Nodes' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `CDO_RESOURCE_NODE` The meta object literal for the '`CDO Resource Node`' class.
`static org.eclipse.emf.ecore.EReference` `CDO_RESOURCE_NODE__FOLDER` The meta object literal for the 'Folder' container reference feature.
`static org.eclipse.emf.ecore.EAttribute` `CDO_RESOURCE_NODE__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `CDO_RESOURCE_NODE__PATH` The meta object literal for the 'Path' attribute feature.
`static org.eclipse.emf.ecore.EDataType` `DIAGNOSTIC` The meta object literal for the 'Diagnostic' data type.
`static org.eclipse.emf.ecore.EDataType` `RESOURCE_SET` The meta object literal for the 'Resource Set' data type.
`static org.eclipse.emf.ecore.EDataType` `URI` The meta object literal for the 'URI' data type.

Field Detail

### CDO_RESOURCE_NODE

    static final org.eclipse.emf.ecore.EClass CDO_RESOURCE_NODE

  The meta object literal for the '`CDO Resource Node`' class.

  Since:
    2.0
  See Also:
    `CDOResourceNodeImpl`, `EresourcePackageImpl.getCDOResourceNode()`

### CDO_RESOURCE_NODE__FOLDER

    static final org.eclipse.emf.ecore.EReference CDO_RESOURCE_NODE__FOLDER

  The meta object literal for the 'Folder' container reference feature.

  Since:
    2.0

### CDO_RESOURCE_NODE__NAME

    static final org.eclipse.emf.ecore.EAttribute CDO_RESOURCE_NODE__NAME

  The meta object literal for the 'Name' attribute feature.

  Since:
    2.0

### CDO_RESOURCE_NODE__PATH

    static final org.eclipse.emf.ecore.EAttribute CDO_RESOURCE_NODE__PATH

  The meta object literal for the 'Path' attribute feature.

  Since:
    2.0

### CDO_RESOURCE_FOLDER

    static final org.eclipse.emf.ecore.EClass CDO_RESOURCE_FOLDER

  The meta object literal for the '`CDO Resource Folder`' class.

  Since:
    2.0
  See Also:
    `CDOResourceFolderImpl`, `EresourcePackageImpl.getCDOResourceFolder()`

### CDO_RESOURCE_FOLDER__NODES

    static final org.eclipse.emf.ecore.EReference CDO_RESOURCE_FOLDER__NODES

  The meta object literal for the 'Nodes' containment reference list feature.

  Since:
    2.0

### CDO_RESOURCE

    static final org.eclipse.emf.ecore.EClass CDO_RESOURCE

  The meta object literal for the '`CDO Resource` ' class.

  See Also:
    `CDOResourceImpl`, `EresourcePackageImpl.getCDOResource()`

### CDO_RESOURCE__RESOURCE_SET

    static final org.eclipse.emf.ecore.EAttribute CDO_RESOURCE__RESOURCE_SET

  The meta object literal for the 'Resource Set' attribute feature.

### CDO_RESOURCE__URI

    static final org.eclipse.emf.ecore.EAttribute CDO_RESOURCE__URI

  The meta object literal for the 'URI' attribute feature.

### CDO_RESOURCE__CONTENTS

    static final org.eclipse.emf.ecore.EReference CDO_RESOURCE__CONTENTS

  The meta object literal for the 'Contents' containment reference list feature.

### CDO_RESOURCE__MODIFIED

    static final org.eclipse.emf.ecore.EAttribute CDO_RESOURCE__MODIFIED

  The meta object literal for the 'Modified' attribute feature.

### CDO_RESOURCE__LOADED

    static final org.eclipse.emf.ecore.EAttribute CDO_RESOURCE__LOADED

  The meta object literal for the 'Loaded' attribute feature.

### CDO_RESOURCE__TRACKING_MODIFICATION

    static final org.eclipse.emf.ecore.EAttribute CDO_RESOURCE__TRACKING_MODIFICATION

  The meta object literal for the 'Tracking Modification' attribute feature.

### CDO_RESOURCE__ERRORS

    static final org.eclipse.emf.ecore.EAttribute CDO_RESOURCE__ERRORS

  The meta object literal for the 'Errors' attribute list feature.

### CDO_RESOURCE__WARNINGS

    static final org.eclipse.emf.ecore.EAttribute CDO_RESOURCE__WARNINGS

  The meta object literal for the 'Warnings' attribute list feature.

### CDO_RESOURCE__TIME_STAMP

    static final org.eclipse.emf.ecore.EAttribute CDO_RESOURCE__TIME_STAMP

  The meta object literal for the 'Time Stamp' attribute feature.

### RESOURCE_SET

    static final org.eclipse.emf.ecore.EDataType RESOURCE_SET

  The meta object literal for the 'Resource Set' data type.

  See Also:
    `ResourceSet`, `EresourcePackageImpl.getResourceSet()`

### URI

    static final org.eclipse.emf.ecore.EDataType URI

  The meta object literal for the 'URI' data type.

  See Also:
    `URI`, `EresourcePackageImpl.getURI()`

### DIAGNOSTIC

    static final org.eclipse.emf.ecore.EDataType DIAGNOSTIC

  The meta object literal for the 'Diagnostic' data type.

  See Also:
    `Resource.Diagnostic`, `EresourcePackageImpl.getDiagnostic()`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.